import 'package:flutter/cupertino.dart';

// ignore: must_be_immutable
class AppBarCustom extends PreferredSize {

  Widget child;
  @override
  final Size preferredSize;

  AppBarCustom({this.preferredSize, this.child});

  @override
  Widget build(BuildContext context) {
    Widget current = child;
    if (child == null) {
      current = LimitedBox(
        maxWidth: 0.0,
        maxHeight: 0.0,
        child: Container(
            child: ConstrainedBox(constraints: const BoxConstraints.expand())),
      );
    }
    return current;
  }
}